## Holland Maatkit Example Backup-Set
##
## An example of how to use the Maatkti provider to perform parallel
## backups. Note that many of these options apply to the 'mk-parallel-dump' 
## utility directly. As a result, for full elaboration on what each option 
## does, it is highly recommended to read the Maatkit documentation for 
## 'mk-parallel-dump'.
##
## Many of these options have global defaults which can be found in the
## configuration file for the provider (which can be found, by default
## in /etc/holland/providers).
##
## This is experimental, and largely recommended for MySQL slaves

[holland:backup]
plugin = maatkit
backups-to-keep = 1

# This section defines the configuration options specific to the backup
# plugin. In other words, the name of this section should match the name
# of the plugin defined above.
[maatkit]

## One of: flush-lock, lock-tables, single-transaction, auto-detect, none
##
## flush-lock will run a FLUSH TABLES WITH READ LOCK prior to the backup
##
## lock-tables will instruct 'mysqldump' to lock all tables involved
## in the backup.
##
## None will completely disable locking. This is generally only viable
## on a MySQL slave and only after traffic has been diverted, or slave
## services suspended.
#lock-method         = flush-lock

## Whether or not to backup the largest tables first.
#biggestfirst        = yes

## Whether to record the binary log name and position at the time of the
## backup.
#binlogpos           = yes

## Which default character set to use to conenct to MySQL with.
#charset             = utf8

## Specifies the number of rows or size that each backup file will be. 
## Specifying a G, M or k after the number will cause Holland to split the 
## chunks by size. Otherwise, it will split by rows.# Consult the Maatkit 
## documentation on 'mk-parallel-dump' for more information.
#chunksize           = 5000

## Database and table filtering. Note that this differs from the standard
## database filtering found in other providers! Consult the Maatkit 
## documentation on 'mk-parallel-dump' for more information.
#databases           = 
#ignoredb            = 
#dbregex             = 
#tables              = 
#tblregex            = 
#ignoretbl           = 

## Maatkit also supports engine filtering.
## FEDERATED,MRG_MyISAM are skipped by default
#ignoreengine        = FEDERATED,MRG_MyISAM

## The number of threads to use in the parallel backup operation.
#numthread           = 2

## Whether to stop the slave before commencing with the backup
#stopslave           = no

## Whether or not to run FLUSH LOGS before a backup. Be careful when using
## this option with setperdb as that can cause a number flushes to be 
## executed, which can hinder performance and create a large number of 
## binary logs.
#flushlog            = no

## Whether or not to compress the backups using gzip. Currently gzip is the
## only option because it is handled by 'mk-parallel-dump' and not by 
## Holland.
#gzip                = yes

## Whether or not to backup each database into its own file.
#setperdb            = no

## MySQL connection settings. Note that these can be inherited from the
## provider itself allowing for global defaults. Providing connection 
## information for a backup-set can often be helpful when, for instance
## a backup-set is backing up a remote MySQL server.
#[mysql:client]
#user                = hollandbackup
#password            = "hollandpw"
#socket              = /tmp/mysqld.sock
#host                = localhost
#port                = 3306
